Menu

## Attachment
in package
implements AttachmentInterface

Attachment.php : 13

An attachment to a scene. This is desigend to be subclasses by modules to provide functinoality like forms or maybe image attachments to go along with a scene.

### Interfaces, Classes and Traits

AttachmentInterface

### Table of Contents

$id : string
__construct() : mixed
  Construct a new attachment of the given type. Randomly assigns it an ID.
__toString() : string
getId() : string
  Returns an unique identifier for this attachment. Each attachment instance will have its own unique ID, assigned at time of the instantiation.

### Properties

#### $id

Attachment.php : 15
`protected string $id`

### Methods

#### __construct()

Attachment.php : 23

Construct a new attachment of the given type. Randomly assigns it an ID.

`public __construct(Game $game, Scene $scene) : mixed`

##### Parameters

$game : Game
$scene : Scene

##### Tags

throws
  Exception

##### Return values

mixed —

#### __toString()

Attachment.php : 28
`public __toString() : string`

##### Return values

string —

#### getId()

Attachment.php : 38

Returns an unique identifier for this attachment. Each attachment instance will have its own unique ID, assigned at time of the instantiation.

`public getId() : string`

##### Return values

string —

## Search results